#CLCUL DE PROBABILITATS: Intrval Mitjana

#Assignem el Nombre d'observacions, la Mitjana i la Desviaci estndard de la distribuci
nobs <- 200
# mu <- ?? 
Xmit<-13

s_mostra <- 5

sigma<-s_mostra/sqrt(nobs)

#Assignem els lmits dels intervals mab alfa=0.05
alfa1 <- 0.05
IInf1 <- Xmit-sigma*qt(1-alfa1/2,nobs-1)
ISup1 <- Xmit+sigma*qt(1-alfa1/2,nobs-1)
LInt1 <- ISup1-IInf1
res1 <- cbind(IInf1, ISup1, LInt1)

#Assignem els lmits dels intervals mab alfa=0.10
alfa2 <- 0.10
IInf2 <- Xmit-sigma*qt(1-alfa2/2,nobs-1)
ISup2 <- Xmit+sigma*qt(1-alfa2/2,nobs-1)
LInt2 <- ISup2-IInf2
res2 <- cbind(IInf2, ISup2, LInt2)

#Assignem els lmits dels intervals mab alfa=0.01
alfa3 <- 0.01
IInf3 <- Xmit-sigma*qt(1-alfa3/2,nobs-1)
ISup3 <- Xmit+sigma*qt(1-alfa3/2,nobs-1)
LInt3 <- ISup3-IInf3
res3 <- cbind(IInf3, ISup3, LInt3)


#Expressem la matriu de resultats
res<-rbind(res2,res1,res3)
nomscol<-c("Lmit Inferior", "Lmit Superior", "Longitut Interval")
nomsfila<-c("Alfa=0.10","Alfa=0.05","Alfa=0.01")
colnames(res)<-nomscol
rownames(res)<-nomsfila

res;

#Anlisi grfica.
#Generem una matriu grfica d'una fila i tres columnes
par(mfrow = c(3,2))

#Grfic a la posici 1,1

eix <- c(-4,4)
x <- seq(eix[1], eix[2], length = 1001)
y <- dt(x, nobs-1)
plot(x, y, type='l', xlab = expression(italic("t")), ylab = expression(italic("Densitat")))
abline(h = 0)
abline(v = qt(alfa2/2,nobs-1))
abline(v = qt(1-alfa2/2,nobs-1))
x1 <- x[x >= qt(alfa2/2,nobs-1) &  x <= qt(1-alfa2/2,nobs-1)] ; y1 <- dt(x1, nobs-1)
x2 <- c(x1[1],x1, x1[length(x1)], x1[1])
y2 <- c(0, y1, 0, 0)
polygon(x2, y2, col = 'red')

#Afegim Text
plot(x, y, axes=FALSE, type='n', xlab ="", ylab = "")
text(-2, 0.9*dt(0,nobs-1), expression(italic(Probabilitat)), cex=1.4)
text(2, 0.9*dt(0,nobs-1), round(1-alfa2,3), cex=1.4)
text(-2, 0.6*dt(0,nobs-1), expression(italic("Lmit Inferior")), cex=1.4)
text(2, 0.6*dt(0,nobs-1), round(IInf2,2), cex=1.4)
text(-2, 0.3*dt(0,nobs-1), expression(italic("Lmit Superior")), cex=1.4)
text(2, 0.3*dt(0,nobs-1), round(ISup2,2), cex=1.4)
text(-2, 0.05*dt(0,nobs-1), expression(italic("Amplada")), cex=1.4)
text(2, 0.05*dt(0,nobs-1), round(LInt2,2), cex=1.4)

#Grfic a la posici 2,1

eix <- c(-4,4)
x <- seq(eix[1], eix[2], length = 1001)
y <- dt(x, nobs-1)
plot(x, y, type='l', xlab = expression(italic("t")), ylab = expression(italic("Densitat")))
abline(h = 0)
abline(v = qt(alfa1/2,nobs-1))
abline(v = qt(1-alfa1/2,nobs-1))
x1 <- x[x >= qt(alfa1/2,nobs-1) &  x <= qt(1-alfa1/2,nobs-1)] ; y1 <- dt(x1, nobs-1)
x2 <- c(x1[1],x1, x1[length(x1)], x1[1])
y2 <- c(0, y1, 0, 0)
polygon(x2, y2, col = 'blue')

#Afegim Text
plot(x, y, axes=FALSE, type='n', xlab ="", ylab = "")
text(-2, 0.9*dt(0,nobs-1), expression(italic(Probabilitat)), cex=1.4)
text(2, 0.9*dt(0,nobs-1), round(1-alfa1,3), cex=1.4)
text(-2, 0.6*dt(0,nobs-1), expression(italic("Lmit Inferior")), cex=1.4)
text(2, 0.6*dt(0,nobs-1), round(IInf1,2), cex=1.4)
text(-2, 0.3*dt(0,nobs-1), expression(italic("Lmit Superior")), cex=1.4)
text(2, 0.3*dt(0,nobs-1), round(ISup1,2), cex=1.4)
text(-2, 0.05*dt(0,nobs-1), expression(italic("Amplada")), cex=1.4)
text(2, 0.05*dt(0,nobs-1), round(LInt1,2), cex=1.4)

#Grfic a la posici 3,1

eix <- c(-4,4)
x <- seq(eix[1], eix[2], length = 1001)
y <- dt(x, nobs-1)
plot(x, y, type='l', xlab = expression(italic("t")), ylab = expression(italic("Densitat")))
abline(h = 0)
abline(v = qt(alfa3/2,nobs-1))
abline(v = qt(1-alfa3/2,nobs-1))
x1 <- x[x >= qt(alfa3/2,nobs-1) &  x <= qt(1-alfa3/2,nobs-1)] ; y1 <- dt(x1, nobs-1)
x2 <- c(x1[1],x1, x1[length(x1)], x1[1])
y2 <- c(0, y1, 0, 0)
polygon(x2, y2, col = 'violet')

#Afegim Text
plot(x, y, axes=FALSE, type='n', xlab ="", ylab = "")
text(-2, 0.9*dt(0,nobs-1), expression(italic(Probabilitat)), cex=1.4)
text(2, 0.9*dt(0,nobs-1), round(1-alfa3,3), cex=1.4)
text(-2, 0.6*dt(0,nobs-1), expression(italic("Lmit Inferior")), cex=1.4)
text(2, 0.6*dt(0,nobs-1), round(IInf3,2), cex=1.4)
text(-2, 0.3*dt(0,nobs-1), expression(italic("Lmit Superior")), cex=1.4)
text(2, 0.3*dt(0,nobs-1), round(ISup3,2), cex=1.4)
text(-2, 0.05*dt(0,nobs-1), expression(italic("Amplada")), cex=1.4)
text(2, 0.05*dt(0,nobs-1), round(LInt3,2), cex=1.4)


