#CLCUL DE PROBABILITATS: Intrval Mitjana

#Assignem el Nombre d'observacions, la Mitjana i la Desviaci estndard de la distribuci
nobs <- 36
# mu <- ?? 
sumxi<-180
Xmit<-sumxi/nobs
sigma<-sqrt(11/nobs)

#Assignem els lmits dels intervals mab alfa=0.05
alfa1 <- 0.05
IInf1 <- Xmit-sigma*qnorm(1-alfa1/2)
ISup1 <- Xmit+sigma*qnorm(1-alfa1/2)
LInt1 <- ISup1-IInf1
res1 <- cbind(IInf1, ISup1, LInt1)

#Assignem els lmits dels intervals mab alfa=0.10
alfa2 <- 0.10
IInf2 <- Xmit-sigma*qnorm(1-alfa2/2)
ISup2 <- Xmit+sigma*qnorm(1-alfa2/2)
LInt2 <- ISup2-IInf2
res2 <- cbind(IInf2, ISup2, LInt2)

#Assignem els lmits dels intervals mab alfa=0.01
alfa3 <- 0.01
IInf3 <- Xmit-sigma*qnorm(1-alfa3/2)
ISup3 <- Xmit+sigma*qnorm(1-alfa3/2)
LInt3 <- ISup3-IInf3
res3 <- cbind(IInf3, ISup3, LInt3)


#Expressem la matriu de resultats
res<-rbind(res2,res1,res3)
nomscol<-c("Lmit Inferior", "Lmit Superior", "Longitut Interval")
nomsfila<-c("Alfa=0.10","Alfa=0.05","Alfa=0.01")
colnames(res)<-nomscol
rownames(res)<-nomsfila

res;

#Anlisi grfica.
#Generem una matriu grfica d'una fila i tres columnes
par(mfrow = c(3,2))

#Grfic a la posici 1,1

eix <- c(Xmit - 4 * sigma, Xmit + 4 * sigma)
x <- seq(eix[1], eix[2], length = 1001)
y <- dnorm(x, Xmit, sigma)
plot(x, y, type='l', xlab = expression(italic(bar("X"))), ylab = expression(italic("Densitat")))
abline(h = 0)
abline(v = IInf2)
abline(v = ISup2)
x1 <- x[x >= IInf2 &  x<= ISup2] ; y1 <- dnorm(x1, Xmit, sigma)
x2 <- c(x1[1],x1, x1[length(x1)], x1[1])
y2 <- c(0, y1, 0, 0)
polygon(x2, y2, col = 'red')

#Afegim Text
plot(x, y, axes=FALSE, type='n', xlab ="", ylab = "")
text(Xmit-2*sigma, 0.9*dnorm(Xmit,Xmit,sigma), expression(italic(Probabilitat)), cex=1.4)
text(Xmit+3*sigma, 0.9*dnorm(Xmit,Xmit,sigma), round(1-alfa2,3), cex=1.4)
text(Xmit-2*sigma, 0.6*dnorm(Xmit,Xmit,sigma), expression(italic("Lmit Inferior")), cex=1.4)
text(Xmit+3*sigma, 0.6*dnorm(Xmit,Xmit,sigma), round(IInf2,2), cex=1.4)
text(Xmit-2*sigma, 0.3*dnorm(Xmit,Xmit,sigma), expression(italic("Lmit Superior")), cex=1.4)
text(Xmit+3*sigma, 0.3*dnorm(Xmit,Xmit,sigma), round(ISup2,2), cex=1.4)
text(Xmit-2*sigma, 0.05*dnorm(Xmit,Xmit,sigma), expression(italic("Amplada")), cex=1.4)
text(Xmit+3*sigma, 0.05*dnorm(Xmit,Xmit,sigma), round(LInt2,2), cex=1.4)

#Grfic a la posici 2,1
eix <- c(Xmit - 4 * sigma, Xmit + 4 * sigma)
x <- seq(eix[1], eix[2], length = 1001)
y <- dnorm(x, Xmit, sigma)
plot(x, y, type='l', xlab = expression(italic(bar("X"))), ylab = expression(italic("Densitat")))
abline(h = 0)
abline(v = IInf1)
abline(v = ISup1)
x1 <- x[x >= IInf1 &  x<= ISup1] ; y1 <- dnorm(x1, Xmit, sigma)
x2 <- c(x1[1],x1, x1[length(x1)], x1[1])
y2 <- c(0, y1, 0, 0)
polygon(x2, y2, col = 'blue')

#Afegim Text
plot(x, y, axes=FALSE, type='n', xlab ="", ylab = "")
text(Xmit-2*sigma, 0.9*dnorm(Xmit,Xmit,sigma), expression(italic(Probabilitat)), cex=1.4)
text(Xmit+3*sigma, 0.9*dnorm(Xmit,Xmit,sigma), round(1-alfa1,3), cex=1.4)
text(Xmit-2*sigma, 0.6*dnorm(Xmit,Xmit,sigma), expression(italic("Lmit Inferior")), cex=1.4)
text(Xmit+3*sigma, 0.6*dnorm(Xmit,Xmit,sigma), round(IInf1,2), cex=1.4)
text(Xmit-2*sigma, 0.3*dnorm(Xmit,Xmit,sigma), expression(italic("Lmit Superior")), cex=1.4)
text(Xmit+3*sigma, 0.3*dnorm(Xmit,Xmit,sigma), round(ISup1,2), cex=1.4)
text(Xmit-2*sigma, 0.05*dnorm(Xmit,Xmit,sigma), expression(italic("Amplada")), cex=1.4)
text(Xmit+3*sigma, 0.05*dnorm(Xmit,Xmit,sigma), round(LInt1,2), cex=1.4)

#Grfic a la posici 3,1
eix <- c(Xmit - 4 * sigma, Xmit + 4 * sigma)
x <- seq(eix[1], eix[2], length = 1001)
y <- dnorm(x, Xmit, sigma)
plot(x, y, type='l', xlab = expression(italic(bar("X"))), ylab = expression(italic("Densitat")))
abline(h = 0)
abline(v = IInf3)
abline(v = ISup3)
x1 <- x[x >= IInf3 &  x<= ISup3] ; y1 <- dnorm(x1, Xmit, sigma)
x2 <- c(x1[1],x1, x1[length(x1)], x1[1])
y2 <- c(0, y1, 0, 0)
polygon(x2, y2, col = 'violet')

#Afegim Text
plot(x, y, axes=FALSE, type='n', xlab ="", ylab = "")
text(Xmit-2*sigma, 0.9*dnorm(Xmit,Xmit,sigma), expression(italic(Probabilitat)), cex=1.4)
text(Xmit+3*sigma, 0.9*dnorm(Xmit,Xmit,sigma), round(1-alfa3,3), cex=1.4)
text(Xmit-2*sigma, 0.6*dnorm(Xmit,Xmit,sigma), expression(italic("Lmit Inferior")), cex=1.4)
text(Xmit+3*sigma, 0.6*dnorm(Xmit,Xmit,sigma), round(IInf3,2), cex=1.4)
text(Xmit-2*sigma, 0.3*dnorm(Xmit,Xmit,sigma), expression(italic("Lmit Superior")), cex=1.4)
text(Xmit+3*sigma, 0.3*dnorm(Xmit,Xmit,sigma), round(ISup3,2), cex=1.4)
text(Xmit-2*sigma, 0.05*dnorm(Xmit,Xmit,sigma), expression(italic("Amplada")), cex=1.4)
text(Xmit+3*sigma, 0.05*dnorm(Xmit,Xmit,sigma), round(LInt3,2), cex=1.4)

