#CLCUL DE PROBABILITATS: Intrval Varincia

#Assignem el Nombre d'observacions, la Mitjana i la Desviaci estndard de la distribuci
nobs <- 8
x <- c(9,10,12,12,13,14,15,16)
sumxi<-sum(x)
xi2<-x^2
sumxi2<-sum(xi2)
xi2<-x^2

Xmit<-sum(x)/nobs
s_mostra <- sqrt((sumxi2+nobs*Xmit^2-2*sumxi*Xmit)/(nobs-1))
sigma<-s_mostra

#Assignem els lmits dels intervals mab alfa=0.05
alfa1 <- 0.05
IInf1 <- (nobs-1)*sigma^2/qchisq(1-alfa1/2,nobs-1)
ISup1 <- (nobs-1)*sigma^2/qchisq(alfa1/2,nobs-1)
LInt1 <- ISup1-IInf1
res1 <- cbind(IInf1, ISup1, LInt1)

#Assignem els lmits dels intervals mab alfa=0.10
alfa2 <- 0.10
IInf2 <- (nobs-1)*sigma^2/qchisq(1-alfa2/2,nobs-1)
ISup2 <- (nobs-1)*sigma^2/qchisq(alfa2/2,nobs-1)
LInt2 <- ISup2-IInf2
res2 <- cbind(IInf2, ISup2, LInt2)

#Assignem els lmits dels intervals mab alfa=0.01
alfa3 <- 0.01
IInf3 <- (nobs-1)*sigma^2/qchisq(1-alfa3/2,nobs-1)
ISup3 <- (nobs-1)*sigma^2/qchisq(alfa3/2,nobs-1)
LInt3 <- ISup3-IInf3
res3 <- cbind(IInf3, ISup3, LInt3)


#Expressem la matriu de resultats
res<-rbind(res2,res1,res3)
nomscol<-c("Lmit Inferior", "Lmit Superior", "Longitut Interval")
nomsfila<-c("Alfa=0.10","Alfa=0.05","Alfa=0.01")
colnames(res)<-nomscol
rownames(res)<-nomsfila

res;

#Anlisi grfica.
#Generem una matriu grfica d'una fila i tres columnes
par(mfrow = c(3,2))

#Grfic a la posici 1,1

eix <- c(0,nobs*3)
x <- seq(eix[1], eix[2], length = 1001)
y <- dchisq(x, nobs-1)
plot(x, y, type='l', xlab = expression(italic(chi)), ylab = expression(italic("Densitat")))
abline(h = 0)
abline(v = qchisq(alfa2/2,nobs-1))
abline(v = qchisq(1-alfa2/2,nobs-1))
x1 <- x[x >= qchisq(alfa2/2,nobs-1) &  x<= qchisq(1-alfa2/2,nobs-1)] ; y1 <- dchisq(x1, nobs-1)
x2 <- c(x1[1],x1, x1[length(x1)], x1[1])
y2 <- c(0, y1, 0, 0)
polygon(x2, y2, col = 'red')

#Afegim Text
plot(x, y, axes=FALSE, type='n', xlab ="", ylab = "")
text(0.25*eix[2], 0.85*dchisq(0.25*eix[2],nobs-1), expression(italic(Probabilitat)), cex=1.4)
text(0.75*eix[2], 0.85*dchisq(0.25*eix[2],nobs-1), round(1-alfa2,3), cex=1.4)
text(0.25*eix[2], 0.6*dchisq(0.25*eix[2],nobs-1), expression(italic("Lmit Inferior")), cex=1.4)
text(0.75*eix[2], 0.6*dchisq(0.25*eix[2],nobs-1), round(IInf2,2), cex=1.4)
text(0.25*eix[2], 0.3*dchisq(0.25*eix[2],nobs-1), expression(italic("Lmit Superior")), cex=1.4)
text(0.75*eix[2], 0.3*dchisq(0.25*eix[2],nobs-1), round(ISup2,2), cex=1.4)
text(0.25*eix[2], 0.05*dchisq(0.25*eix[2],nobs-1), expression(italic("Amplada")), cex=1.4)
text(0.75*eix[2], 0.05*dchisq(0.25*eix[2],nobs-1), round(LInt2,2), cex=1.4)

#Grfic a la posici 2,1

eix <- c(0,nobs*3)
x <- seq(eix[1], eix[2], length = 1001)
y <- dchisq(x, nobs-1)
plot(x, y, type='l', xlab = expression(italic(chi)), ylab = expression(italic("Densitat")))
abline(h = 0)
abline(v = qchisq(alfa1/2,nobs-1))
abline(v = qchisq(1-alfa1/2,nobs-1))
x1 <- x[x >= qchisq(alfa1/2,nobs-1) &  x<= qchisq(1-alfa1/2,nobs-1)] ; y1 <- dchisq(x1, nobs-1)
x2 <- c(x1[1],x1, x1[length(x1)], x1[1])
y2 <- c(0, y1, 0, 0)
polygon(x2, y2, col = 'blue')

#Afegim Text
plot(x, y, axes=FALSE, type='n', xlab ="", ylab = "")
text(0.25*eix[2], 0.85*dchisq(0.25*eix[2],nobs-1), expression(italic(Probabilitat)), cex=1.4)
text(0.75*eix[2], 0.85*dchisq(0.25*eix[2],nobs-1), round(1-alfa1,3), cex=1.4)
text(0.25*eix[2], 0.6*dchisq(0.25*eix[2],nobs-1), expression(italic("Lmit Inferior")), cex=1.4)
text(0.75*eix[2], 0.6*dchisq(0.25*eix[2],nobs-1), round(IInf1,2), cex=1.4)
text(0.25*eix[2], 0.3*dchisq(0.25*eix[2],nobs-1), expression(italic("Lmit Superior")), cex=1.4)
text(0.75*eix[2], 0.3*dchisq(0.25*eix[2],nobs-1), round(ISup1,2), cex=1.4)
text(0.25*eix[2], 0.05*dchisq(0.25*eix[2],nobs-1), expression(italic("Amplada")), cex=1.4)
text(0.75*eix[2], 0.05*dchisq(0.25*eix[2],nobs-1), round(LInt1,2), cex=1.4)


#Grfic a la posici 2,1

eix <- c(0,nobs*3)
x <- seq(eix[1], eix[2], length = 1001)
y <- dchisq(x, nobs-1)
plot(x, y, type='l', xlab = expression(italic(chi)), ylab = expression(italic("Densitat")))
abline(h = 0)
abline(v = qchisq(alfa3/2,nobs-1))
abline(v = qchisq(1-alfa3/2,nobs-1))
x1 <- x[x >= qchisq(alfa3/2,nobs-1) &  x<= qchisq(1-alfa3/2,nobs-1)] ; y1 <- dchisq(x1, nobs-1)
x2 <- c(x1[1],x1, x1[length(x1)], x1[1])
y2 <- c(0, y1, 0, 0)
polygon(x2, y2, col = 'violet')

#Afegim Text
plot(x, y, axes=FALSE, type='n', xlab ="", ylab = "")
text(0.25*eix[2], 0.85*dchisq(0.25*eix[2],nobs-1), expression(italic(Probabilitat)), cex=1.4)
text(0.75*eix[2], 0.85*dchisq(0.25*eix[2],nobs-1), round(1-alfa3,3), cex=1.4)
text(0.25*eix[2], 0.6*dchisq(0.25*eix[2],nobs-1), expression(italic("Lmit Inferior")), cex=1.4)
text(0.75*eix[2], 0.6*dchisq(0.25*eix[2],nobs-1), round(IInf3,2), cex=1.4)
text(0.25*eix[2], 0.3*dchisq(0.25*eix[2],nobs-1), expression(italic("Lmit Superior")), cex=1.4)
text(0.75*eix[2], 0.3*dchisq(0.25*eix[2],nobs-1), round(ISup3,2), cex=1.4)
text(0.25*eix[2], 0.05*dchisq(0.25*eix[2],nobs-1), expression(italic("Amplada")), cex=1.4)
text(0.75*eix[2], 0.05*dchisq(0.25*eix[2],nobs-1), round(LInt3,2), cex=1.4)

